[arch-commits] Commit in python-zope-security/repos (4 files)
Felix Yan
felixonmars at archlinux.org
Tue Jun 13 16:14:12 UTC 2017
Date: Tuesday, June 13, 2017 @ 16:14:11
Author: felixonmars
Revision: 236624
archrelease: copy trunk to community-i686, community-x86_64
Added:
python-zope-security/repos/community-i686/PKGBUILD
(from rev 236623, python-zope-security/trunk/PKGBUILD)
python-zope-security/repos/community-x86_64/PKGBUILD
(from rev 236623, python-zope-security/trunk/PKGBUILD)
Deleted:
python-zope-security/repos/community-i686/PKGBUILD
python-zope-security/repos/community-x86_64/PKGBUILD
---------------------------+
/PKGBUILD | 120 ++++++++++++++++++++++++++++++++++++++++++++
community-i686/PKGBUILD | 58 ---------------------
community-x86_64/PKGBUILD | 58 ---------------------
3 files changed, 120 insertions(+), 116 deletions(-)
Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD 2017-06-13 16:13:45 UTC (rev 236623)
+++ community-i686/PKGBUILD 2017-06-13 16:14:11 UTC (rev 236624)
@@ -1,58 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=('python-zope-security' 'python2-zope-security')
-pkgver=4.0.3
-pkgrel=3
-pkgdesc="Zope Security Framework"
-arch=('i686' 'x86_64')
-url="https://github.com/zopefoundation/zope.security"
-license=('ZPL')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
- 'python2-zope-interface' 'python-zope-component' 'python2-zope-component'
- 'python-zope-i18nmessageid' 'python2-zope-i18nmessageid' 'python-zope-location'
- 'python2-zope-location' 'python-zope-proxy' 'python2-zope-proxy'
- 'python-zope-schema' 'python2-zope-schema' 'git')
-checkdepends=('python-nose' 'python2-nose' 'python-zope-configuration' 'python2-zope-configuration'
- 'python-zope-testing' 'python2-zope-testing' 'python-zope-testrunner'
- 'python2-zope-testrunner')
-source=("git+https://github.com/zopefoundation/zope.security.git#tag=$pkgver")
-sha256sums=('SKIP')
-
-prepare() {
- cp -a zope.security{,-py2}
-}
-
-build() {
- cd "$srcdir/zope.security"
- python setup.py build
-
- cd "$srcdir/zope.security-py2"
- python2 setup.py build
-}
-
-check() {
- cd "$srcdir/zope.security"
- python setup.py test
-
- cd "$srcdir/zope.security-py2"
- python2 setup.py test
-}
-
-package_python-zope-security() {
- depends=('python-setuptools' 'python-zope-component' 'python-zope-i18nmessageid'
- 'python-zope-interface' 'python-zope-location' 'python-zope-proxy' 'python-zope-schema')
-
- cd "$srcdir/zope.security"
- python setup.py install --root="$pkgdir/" --optimize=1
-}
-
-package_python2-zope-security() {
- depends=('python2-setuptools' 'python2-zope-component' 'python2-zope-i18nmessageid'
- 'python2-zope-interface' 'python2-zope-location' 'python2-zope-proxy' 'python2-zope-schema')
-
- cd "$srcdir/zope.security-py2"
- python2 setup.py install --root="$pkgdir/" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:
Copied: python-zope-security/repos/community-i686/PKGBUILD (from rev 236623, python-zope-security/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2017-06-13 16:14:11 UTC (rev 236624)
@@ -0,0 +1,60 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-zope-security
+pkgname=('python-zope-security' 'python2-zope-security')
+pkgver=4.1.1
+pkgrel=1
+pkgdesc="Zope Security Framework"
+arch=('i686' 'x86_64')
+url="https://github.com/zopefoundation/zope.security"
+license=('ZPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
+ 'python2-zope-interface' 'python-zope-component' 'python2-zope-component'
+ 'python-zope-i18nmessageid' 'python2-zope-i18nmessageid' 'python-zope-location'
+ 'python2-zope-location' 'python-zope-proxy' 'python2-zope-proxy'
+ 'python-zope-schema' 'python2-zope-schema')
+checkdepends=('python-btrees' 'python2-btrees' 'python-nose' 'python2-nose'
+ 'python-zope-configuration' 'python2-zope-configuration' 'python-zope-testing'
+ 'python2-zope-testing' 'python-zope-testrunner' 'python2-zope-testrunner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.security/archive/$pkgver.tar.gz")
+sha512sums=('67ce5a9f70224aeff568bc9a676bb93ef82c13631a9c0d405685dba068308b821a9bb177b4a773b8c4bcd0d96265e718e2dbad3fd9626d2ede360abc5d9608a0')
+
+prepare() {
+ cp -a zope.security-$pkgver{,-py2}
+}
+
+build() {
+ cd "$srcdir"/zope.security-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/zope.security-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/zope.security-$pkgver
+ PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.6:$PYTHONPATH" python -m zope.testrunner --test-path=src || warning "Tests failed"
+
+ cd "$srcdir"/zope.security-$pkgver-py2
+ PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH" python2 -m zope.testrunner --test-path=src
+}
+
+package_python-zope-security() {
+ depends=('python-setuptools' 'python-zope-component' 'python-zope-i18nmessageid'
+ 'python-zope-interface' 'python-zope-location' 'python-zope-proxy' 'python-zope-schema')
+
+ cd zope.security-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-zope-security() {
+ depends=('python2-setuptools' 'python2-zope-component' 'python2-zope-i18nmessageid'
+ 'python2-zope-interface' 'python2-zope-location' 'python2-zope-proxy'
+ 'python2-zope-schema')
+
+ cd zope.security-$pkgver-py2
+ python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:
Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD 2017-06-13 16:13:45 UTC (rev 236623)
+++ community-x86_64/PKGBUILD 2017-06-13 16:14:11 UTC (rev 236624)
@@ -1,58 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=('python-zope-security' 'python2-zope-security')
-pkgver=4.0.3
-pkgrel=3
-pkgdesc="Zope Security Framework"
-arch=('i686' 'x86_64')
-url="https://github.com/zopefoundation/zope.security"
-license=('ZPL')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
- 'python2-zope-interface' 'python-zope-component' 'python2-zope-component'
- 'python-zope-i18nmessageid' 'python2-zope-i18nmessageid' 'python-zope-location'
- 'python2-zope-location' 'python-zope-proxy' 'python2-zope-proxy'
- 'python-zope-schema' 'python2-zope-schema' 'git')
-checkdepends=('python-nose' 'python2-nose' 'python-zope-configuration' 'python2-zope-configuration'
- 'python-zope-testing' 'python2-zope-testing' 'python-zope-testrunner'
- 'python2-zope-testrunner')
-source=("git+https://github.com/zopefoundation/zope.security.git#tag=$pkgver")
-sha256sums=('SKIP')
-
-prepare() {
- cp -a zope.security{,-py2}
-}
-
-build() {
- cd "$srcdir/zope.security"
- python setup.py build
-
- cd "$srcdir/zope.security-py2"
- python2 setup.py build
-}
-
-check() {
- cd "$srcdir/zope.security"
- python setup.py test
-
- cd "$srcdir/zope.security-py2"
- python2 setup.py test
-}
-
-package_python-zope-security() {
- depends=('python-setuptools' 'python-zope-component' 'python-zope-i18nmessageid'
- 'python-zope-interface' 'python-zope-location' 'python-zope-proxy' 'python-zope-schema')
-
- cd "$srcdir/zope.security"
- python setup.py install --root="$pkgdir/" --optimize=1
-}
-
-package_python2-zope-security() {
- depends=('python2-setuptools' 'python2-zope-component' 'python2-zope-i18nmessageid'
- 'python2-zope-interface' 'python2-zope-location' 'python2-zope-proxy' 'python2-zope-schema')
-
- cd "$srcdir/zope.security-py2"
- python2 setup.py install --root="$pkgdir/" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:
Copied: python-zope-security/repos/community-x86_64/PKGBUILD (from rev 236623, python-zope-security/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD (rev 0)
+++ community-x86_64/PKGBUILD 2017-06-13 16:14:11 UTC (rev 236624)
@@ -0,0 +1,60 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-zope-security
+pkgname=('python-zope-security' 'python2-zope-security')
+pkgver=4.1.1
+pkgrel=1
+pkgdesc="Zope Security Framework"
+arch=('i686' 'x86_64')
+url="https://github.com/zopefoundation/zope.security"
+license=('ZPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
+ 'python2-zope-interface' 'python-zope-component' 'python2-zope-component'
+ 'python-zope-i18nmessageid' 'python2-zope-i18nmessageid' 'python-zope-location'
+ 'python2-zope-location' 'python-zope-proxy' 'python2-zope-proxy'
+ 'python-zope-schema' 'python2-zope-schema')
+checkdepends=('python-btrees' 'python2-btrees' 'python-nose' 'python2-nose'
+ 'python-zope-configuration' 'python2-zope-configuration' 'python-zope-testing'
+ 'python2-zope-testing' 'python-zope-testrunner' 'python2-zope-testrunner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.security/archive/$pkgver.tar.gz")
+sha512sums=('67ce5a9f70224aeff568bc9a676bb93ef82c13631a9c0d405685dba068308b821a9bb177b4a773b8c4bcd0d96265e718e2dbad3fd9626d2ede360abc5d9608a0')
+
+prepare() {
+ cp -a zope.security-$pkgver{,-py2}
+}
+
+build() {
+ cd "$srcdir"/zope.security-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/zope.security-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/zope.security-$pkgver
+ PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.6:$PYTHONPATH" python -m zope.testrunner --test-path=src || warning "Tests failed"
+
+ cd "$srcdir"/zope.security-$pkgver-py2
+ PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH" python2 -m zope.testrunner --test-path=src
+}
+
+package_python-zope-security() {
+ depends=('python-setuptools' 'python-zope-component' 'python-zope-i18nmessageid'
+ 'python-zope-interface' 'python-zope-location' 'python-zope-proxy' 'python-zope-schema')
+
+ cd zope.security-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-zope-security() {
+ depends=('python2-setuptools' 'python2-zope-component' 'python2-zope-i18nmessageid'
+ 'python2-zope-interface' 'python2-zope-location' 'python2-zope-proxy'
+ 'python2-zope-schema')
+
+ cd zope.security-$pkgver-py2
+ python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list